For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • POSTCreate Order Without CompanyID
              • GETGet Company Orders
              • POSTCreate An Order
              • PUTUpdate Company Order With BC OrderId
              • POSTUpdate BC Order's 'Company attribute'
              • PUTUpdate B2BE User's Orders' company attribute.
              • GETGet Orders Images
              • GETGet Company By BC OrderId
              • GETGet Company Id By Order Id
              • GETGet Order Detail
              • GETGet Order Product
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APIOrder

Get Company Orders

Deprecated
GET
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/orders
GET
/api/v2/io/companies/:companyId/orders
$curl https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/orders \
> -H "authToken: <apiKey>"
1{
2 "code": 200,
3 "data": {
4 "list": [
5 {
6 "companyName": "fkkfcctest",
7 "createdAt": "1572323610",
8 "firstName": "james",
9 "isInvoiceOrder": "0",
10 "lastName": "liu",
11 "orderId": "126",
12 "totalIncTax": "100.0000",
13 "updatedAt": "1572323610",
14 "channelName": "test",
15 "channelId": "1",
16 "orderStatus": "Awaiting Payment"
17 },
18 {
19 "companyName": "fkkfcctest",
20 "createdAt": "1572323432",
21 "firstName": "james",
22 "isInvoiceOrder": "0",
23 "lastName": "liu",
24 "orderId": "124",
25 "totalIncTax": "50.0000",
26 "updatedAt": "1572323432",
27 "channelName": "test",
28 "channelId": "1",
29 "orderStatus": "Awaiting Payment"
30 },
31 {
32 "companyName": "fkkfcctest",
33 "createdAt": "1572321777",
34 "firstName": "james",
35 "isInvoiceOrder": "0",
36 "lastName": "liu",
37 "orderId": "125",
38 "totalIncTax": "50.0000",
39 "updatedAt": "1572321777",
40 "channelName": "test",
41 "channelId": "1",
42 "orderStatus": "Awaiting Payment"
43 }
44 ],
45 "paginator": {
46 "limit": 10,
47 "offset": 0,
48 "totalCount": 3
49 }
50 },
51 "message": "SUCCESS"
52}
Get company all orders, with pagination data
Was this page helpful?
Previous

Create Order Without CompanyID

Next

Create An Order

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

companyIdstringRequired

Headers

authTokenstringRequired
Auth token in header.

Query parameters

offsetdoubleOptional

Pagination offset default: 0

limitdoubleOptional

Pagination limit default: 10

orderBystringOptional

in [‘bcOrderId’, ‘totalIncTax’, ‘createdAt’]

beginDateAtstringOptional

End date filter, in format ‘12/31/2019’

endDateAtstringOptional

End date filter, in format ‘12/31/2019’

includeExtrastringOptional

Switch show extra fields, allow: 0, 1

channelIddoubleOptional
BigCommerce channel id

Response

Response Success
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

404
Not Found Error